#
# spec file for package python-google-cloud-iam
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-google-cloud-iam
Version:        2.19.0
Release:        1.1
Summary:        Google Cloud Iam API client library
License:        Apache-2.0
URL:            https://github.com/googleapis/google-cloud-python/tree/main/packages/google-cloud-iam
Source:         https://files.pythonhosted.org/packages/source/g/google_cloud_iam/google_cloud_iam-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest-asyncio}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module wheel}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module google-api-core >= 1.34.1}
BuildRequires:  %{python_module grpc-google-iam-v1 >= 0.12.4 with %python-grpc-google-iam-v1 < 1.0.0dev}
BuildRequires:  %{python_module proto-plus >= 1.22.3}
BuildRequires:  %{python_module protobuf >= 3.20.2}
# /SECTION
BuildRequires:  fdupes
Requires:       python-google-api-core >= 1.34.1
Requires:       python-google-auth >= 2.14.1
Requires:       python-proto-plus >= 1.22.3
Requires:       python-protobuf >= 3.20.2
Requires:       (python-grpc-google-iam-v1 >= 0.12.4 with python-grpc-google-iam-v1 < 1.0.0dev)
BuildArch:      noarch
%python_subpackages

%description
Google Cloud Iam API client library

%prep
%autosetup -p1 -n google_cloud_iam-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/google/cloud/iam*
%{python_sitelib}/google_cloud_iam-%{version}.dist-info

%changelog
* Fri Apr 25 2025 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to 2.19.0
  * Add google.cloud.iam_v3 and google.cloud.iam_v3beta
- from version 2.18.3
  * Update suggested source of IAM samples (#13666)
- from version 2.18.2
  * [Many APIs] Allow Protobuf 6.x
  * Remove setup.cfg configuration for creating universal wheels (#13659)
- from version 2.18.1
  * **deps:** Require grpc-google-iam-v1 >= 0.14.0
- from version 2.18.0
  * Add REST Interceptors which support reading metadata
  * Add support for reading selective GAPIC generation methods from service YAML
- from version 2.17.0
  * Add support for opt-in debug logging
  * Fix typing issue with gRPC metadata when key ends in -bin
- from version 2.16.1
  * Disable universe-domain validation (#13243)
- from version 2.16.0
  * Add support for Python 3.13 (#13207)
- from version 2.15.2
  * Retry and timeout values do not propagate in requests during pagination
- from version 2.15.1
  * Allow Protobuf 5.x (#12867)
- Adjust upstream source name in spec file
* Wed May 22 2024 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to 2.15.0 (bsc#1222995)
  * Add google.cloud.iam_admin_v1 (#12519) (7e97037), closes (#12540)
- Update BuildRequires and Requires from setup.py
* Sun Apr 14 2024 Dirk Müller <dmueller@suse.com>
- update to 2.14.3:
  * deps: [Many APIs] Require google-api-core>=1.34.1 (#12307) (be87bc4)
  * fix ValueError in test__validate_universe_domain
  * Allow users to explicitly configure universe domain
* Sun Dec 17 2023 Dirk Müller <dmueller@suse.com>
- run tests
* Wed Dec 13 2023 Daniel Garcia <daniel.garcia@suse.com>
- Initial version 2.13.0 (jsc#PED-6697)
